/***************************************************************************
**
**    $Header$
**
**    $Log$
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//
//  File name:  SHLCOM.H
//
//  Description:The header file of common declare for CShellWindow
//
//  Author:     Roger Zhang
//
//  Date:       03/10/95
//
//  Modification:
//
//      1. 03/10/95, Initial version 
//
//
//  Copyright (C) 1995 Microtek International. All rights reserved.
//
/////////////////////////////////////////////////////////////////////////////

#ifndef _SHLCOM_
#define _SHLCOM_

const int  MAX_SHELL_PMT = 10;		// max shell prompt length
const int  MAX_SHELL_LEN = 256;     // max shell line length;
const int  MAX_SHELL_INPUT = MAX_SHELL_LEN - MAX_SHELL_PMT;
const int  MAX_SHELL_HISTORY = 100; // command history size

enum { PMT_NORMAL = 0, PMT_RUN, PMT_FLY, PMT_MACRO, PMT_RND, PMT_CNT };
extern char * PromptStr[PMT_CNT];
extern int PromptLen[PMT_CNT];
extern int nShellPrompt;

extern int TstGetLogOn(void); 
extern int TstGetLogCommand(void); 
extern int TstGetLogAppend(void); 
extern int TstGetLogOpened(void); 
extern void TstSetLogOn(int); 
extern void TstSetLogCommand(int); 
extern void TstSetLogAppend(int); 
extern void TstSetLogOpened(int); 
extern void TstOpenLog(CString);
extern void TstCloseLog(void);

extern int nShellHistSize;

extern int nAsmFlag;

void DadAssemble(char * psz);
                                       
extern BOOL isInsertOn;
extern BOOL isShellOn;                                   
extern CMDIChildWnd    * pShellWnd;          
void ShlOpenWindow(CMDIFrameWnd * pParent, BOOL isHide = FALSE);
extern CString strIncludeFile;                                       
/*     
typedef struct {
    char* pszCommandName;
    int nMinKeyword;
    char* pszHints;
} tagCmdTable;
*/
#endif
/////////////////////////(EOF)///////////////////////////////////////////////
